## class OSGGA_EXPORT osgGA::SetSceneViewVisitor

> SetSceneViewGUIEventHandlerVisitor which visits various types of GUIEventHandler and sets them up appropriately, given a new scene view

## Inheritance:

### Public Methods

SetSceneViewVisitor(GUIEventAdapter* in, GUIActionAdapter* out, osgUtil::SceneView* sv)
virtual ~SetSceneViewVisitor()
virtual void visit(MatrixManipulator& cm)
virtual void visit(StateSetManipulator& cm)

### Inherited from GUIEventHandlerVisitor:

### Public Methods

const GUIEventAdapter* getGUIEventAdapter()
GUIActionAdapter* getGUIActionAdapter()

## Documentation

> SetSceneViewGUIEventHandlerVisitor which visits various types of GUIEventHandler and sets them up appropriately, given a new scene view

`SetSceneViewVisitor(GUIEventAdapter* in, GUIActionAdapter* out, osgUtil::SceneView* sv)`

`virtual ~SetSceneViewVisitor()`

`virtual void visit(MatrixManipulator& cm)`

`virtual void visit(StateSetManipulator& cm)`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.